<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use App\Models\Feature;
use App\Models\Project;
use App\Models\Service;
use App\Models\User;
use Illuminate\Http\Request;

class StaticPageController extends Controller
{

    public function about()
    {

        $title = awtTrans('من نحن');
        $features = Feature::all();


        return view('web.about', compact('title' , 'features'));
    }

    public function contact()
    {

        $title = awtTrans('تواصل معنا');


        return view('web.contact', compact('title'));
    }

    // contactStore
    public function contactStore(Request $request)
    {

        // dd($request->all());
        Contact::create($request->all());

        return redirect()->back()->with('success', awtTrans('تم الإرسال بنجاح'));
    }
}
